import csv
import xlrd

from netforce.model import get_model
from netforce import migration
from netforce.access import set_active_user, set_active_company
from netforce.database import get_connection

class Migration(migration.Migration):
    _name="clinic.store.patient.name"
    _version="2.12.6"
    
    def migrate(self):
        set_active_company(1)
        set_active_user(1)

        #ids=get_model("clinic.hd.case").search([])
        #get_model("clinic.hd.case").function_store(ids)
            
        ids=get_model("clinic.visit").search([])
        get_model("clinic.visit").function_store(ids)

        ids=get_model("clinic.shop").search([])
        get_model("clinic.shop").function_store(ids)

Migration.register()
